# $Revision: 1.12 $, $Date: 2006/12/05 16:01:29 $
Summary:	kdissert - a mindmapping-like tool to help students to produce complicated documents
Summary(pl):	kdissert - narzdzie wspomagajce tworzenie map myli
Name:		kdissert
Version:	1.0.7
Release:	1
License:	GPL
Group:		Applications
Source0:	http://freehackers.org/~tnagy/kdissert/%{name}-%{version}.tar.bz2
# Source0-md5:	8e72785b8ab2adfc959522fcdcec10e6
URL:		http://freehackers.org/~tnagy/kdissert/
BuildRequires:	kdelibs-devel >= 9:3.2.0
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	scons
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         _noautoreq      libtool(.*)

%description
The goal of kdissert is to help to structure ideas and concepts. Ideas
are first layed down on a canvas and then associated into a tree. The
tree is there to help to see how the ideas interact, and then to
develop them further (by adding ramifications). An idea is represented
by a shape which contains several a summary (visible part), several
text fields, and optional pictures and url links.

%description -l pl
Celem kdissert jest uatwienie strukturalnej organizacji idei i
koncepcji. Idee s najpierw rozkadane na ptnie, a nastpnie
budowane jest z nich drzewo, ktre ma uatwi zrozumienie sposobu w
jaki sposb cz si ze sob dane idee. Idea jest reprezentowana
przez ksztat, ktry moe zawiera opis; pola tekstowe oraz jeli
zachodzi taka potrzeba obrazki i odnoniki.

%prep
%setup -q
%{__sed} -i -e 's/Categories=.*/Categories=QT;KDE;Education;/g' src/appdata/kdissert.desktop

%build
export CXXFLAGS="%{rpmcflags}"
export QTDIR="%{_usr}"

# To install waf directories (.waf-version, .wafcache) in building directory.
export WAF_HOME=`pwd`

# autodetects all needed paths from kde-config not sure it supports amd64 at the moment
# im talking about it with the maintainer of kde's scons-based buildsystem

./waf configure \
	--qtincludes=%{_includedir}/qt \
	--prefix=%{_prefix} %{?debug:debug=full} \
%if "%{_lib}" == "lib64"
	--libsuffix=64 \
%endif
	--qtlibs=%{_libdir}
./waf

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT
./waf install --destdir $RPM_BUILD_ROOT

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kdissert
%{_libdir}/kde3/libkdissOOOdoc.la
%attr(755,root,root) %{_libdir}/kde3/libkdissOOOdoc.so
%{_libdir}/kde3/libkdissOOOimpress.la
%attr(755,root,root) %{_libdir}/kde3/libkdissOOOimpress.so
%{_libdir}/kde3/libkdissapplet.la
%attr(755,root,root) %{_libdir}/kde3/libkdissapplet.so
%{_libdir}/kde3/libkdissasciidoc.la
%attr(755,root,root) %{_libdir}/kde3/libkdissasciidoc.so
%{_libdir}/kde3/libkdissbeamerslides.la
%attr(755,root,root) %{_libdir}/kde3/libkdissbeamerslides.so
%{_libdir}/kde3/libkdisshtmldoc.la
%attr(755,root,root) %{_libdir}/kde3/libkdisshtmldoc.so
%{_libdir}/kde3/libkdisspdflatexarticle.la
%attr(755,root,root) %{_libdir}/kde3/libkdisspdflatexarticle.so
%{_libdir}/kde3/libkdisspdflatexbook.la
%attr(755,root,root) %{_libdir}/kde3/libkdisspdflatexbook.so
%{_libdir}/kde3/libkdissprosperslides.la
%attr(755,root,root) %{_libdir}/kde3/libkdissprosperslides.so
%{_libdir}/kde3/libkdissdocbook.la
%attr(755,root,root) %{_libdir}/kde3/libkdissdocbook.so
%{_libdir}/kde3/libkdissstx.la
%attr(755,root,root) %{_libdir}/kde3/libkdissstx.so
%{_desktopdir}/kde/kdissert.desktop
%{_datadir}/apps/kdissert
%{_datadir}/apps/kdissertpart
%{_datadir}/config.kcfg/kdissert.kcfg
%{_iconsdir}/hicolor/*/*/*.png
%{_datadir}/mimelnk/application/x-kdissert.desktop
%{_datadir}/services/kdissertpart.desktop
%{_datadir}/applnk/Utilities/kdissert.desktop

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kdissert.spec,v $
Revision 1.12  2006/12/05 16:01:29  arekm
- noautoreq libtool files

Revision 1.11  2006/12/05 15:01:18  piti
- up to 1.0.7

Revision 1.10  2006/09/24 18:18:35  piti
- Repairing broken waf build system. At present no files are stored in
  home dirrectory.

Revision 1.9  2006/09/24 14:35:00  shadzik
- adapterized
- cosmetics
- one more file

Revision 1.8  2006/09/24 14:06:29  piti
- up to 1.0.6c. Building using internal waf script.

Revision 1.7  2005/04/13 21:26:09  qboosh
- missing dirs, simplified files, cleanup

Revision 1.6  2005/04/13 15:35:53  djurban
- seems to build and work, sending to ac-ready

Revision 1.5  2005/04/13 15:16:39  djurban
- add QTDIR

Revision 1.4  2005/04/13 13:34:26  djurban
- more testing

Revision 1.3  2005/04/13 13:06:10  djurban
- another fix try

Revision 1.2  2005/04/13 11:48:39  djurban
- try to fix qt on amd64

Revision 1.1  2005/04/13 11:34:31  djurban
- initial, first KE app that uses scons buildsystem, this is a new acm/am replacement idea for kde apps
